org.eclipse.viatra.transformation.runtime.emf.rules.eventdriven

## Class EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.rules.eventdriven.EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher>

- Enclosing class:
    EventDrivenTransformationRuleFactory

      public class EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDrivenTransformationRuleBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher>` | `action(CRUDActivationStateEnum state, IMatchProcessor<Match> action)`
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher>` | `action(IMatchProcessor<Match> action)`
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher>` | `addLifeCycle(ActivationLifeCycle lifeCycle)`
    `EventDrivenTransformationRule<Match,Matcher>` | `build()`
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher>` | `filter(EventFilter<? super Match> filter)`
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher>` | `filter(org.eclipse.xtext.xbase.lib.Pair<java.lang.String,java.lang.Object>... parameters)`
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher>` | `name(java.lang.String name)`
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher>` | `precondition(IQuerySpecification<Matcher> precondition)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDrivenTransformationRuleBuilder

          public EventDrivenTransformationRuleBuilder()

  - ### Method Detail

    - #### name

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher> name(java.lang.String name)

    - #### precondition

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher> precondition(IQuerySpecification<Matcher> precondition)

    - #### action

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher> action(IMatchProcessor<Match> action)

    - #### action

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher> action(CRUDActivationStateEnum state,
                                                                                                                 IMatchProcessor<Match> action)

    - #### addLifeCycle

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher> addLifeCycle(ActivationLifeCycle lifeCycle)
                                                                                                                throws InconsistentEventSemanticsException

      Throws:
        `InconsistentEventSemanticsException`

    - #### filter

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher> filter(org.eclipse.xtext.xbase.lib.Pair<java.lang.String,java.lang.Object>... parameters)

    - #### filter

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher> filter(EventFilter<? super Match> filter)

    - #### build

          public EventDrivenTransformationRule<Match,Matcher> build()